import gtk

# functions
def on_delete_event (widget, event, user_data=None):
    print "Bye bye!"
    gtk.main_quit()

def on_button1_clicked (button, user_data=None):
    print "Bye bye!"
    gtk.main_quit()

def on_button2_clicked (button, user_data=None):
	print "button2"


# create window
window = gtk.Window()

window.set_default_size(350,100)
window.set_title('Basic2 with signals')
window.set_position(gtk.WIN_POS_CENTER)

# create vertical container 
vbox = gtk.VBox(True,0)

# create horizontal container for buttons
hbox = gtk.HBox(True,10)

# create buttons
button1 = gtk.Button()
button1.set_label('Exit')

button2 = gtk.Button()
button2.set_label('Button2')

# add buttons to container
hbox.pack_start(button1,True,True,False)
hbox.pack_start(button2,True,True,False)

# add hbox to vbox
vbox.pack_start(hbox,False,False,False)

# signals
window.connect ("delete_event",on_delete_event)
button1.connect ("clicked",on_button1_clicked)
button2.connect ("clicked",on_button2_clicked)

# add vbox to main window
window.add(vbox)

# show all widgets
window.show_all()

# main loop
gtk.main()
