import gtk
import gtk.glade

class App:
    def __init__(self):
        pass
    
    def load_interface (self):
        # load interface from xml file
        glade = gtk.Builder()
        glade.add_from_file("app.xml")

        # get widgets
        self.window = glade.get_object('window')
        self.button1 = glade.get_object('button1')
        self.button2 = glade.get_object('button2')

        self.window.set_title("Basic4 with Class")
        
        # signals
        self.window.connect ("delete_event",self.on_delete_event)
        self.button1.connect ("clicked",self.on_button1_clicked)
        self.button2.connect ("clicked",self.on_button2_clicked)

        # show all widgets
        self.window.show_all()

    def on_delete_event (self,widget, event, user_data=None):
        print "Bye bye!"
        gtk.main_quit()

    def on_button1_clicked (self,button, user_data=None):
        print "Bye bye!"
        gtk.main_quit()        

    def on_button2_clicked (self,button, user_data=None):
        print "Button2!!!"

    def main (self):
        # main loop
        gtk.main()

# instance
app = App()
app.load_interface()
app.main()
